Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057038 - git-annex-5.20140709 is available
Summary: git-annex-5.20140709 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: git-annex
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: git-annex-5.20140709:ok
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 11:27 UTC by Upstream Release Monitoring
Modified: 2014-07-25 05:48 UTC (History)
2 users (show)

Fixed In Version: git-annex-5.20140717-1.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-25 05:48:55 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2014-01-23 11:27:49 UTC
Latest upstream release: 5.20140116
Current version/release in Fedora Rawhide: 5.20140108-1.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2014-01-30 08:26:23 UTC
Latest upstream release: 5.20140129
Current version/release in Fedora Rawhide: 5.20140108-2.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Upstream Release Monitoring 2014-02-11 11:15:17 UTC
Latest upstream release: 5.20140210
Current version/release in Fedora Rawhide: 5.20140116-1.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Upstream Release Monitoring 2014-02-28 12:48:26 UTC
Latest upstream release: 5.20140227
Current version/release in Fedora Rawhide: 5.20140221-1.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 4 Upstream Release Monitoring 2014-03-07 14:00:42 UTC
Latest upstream release: 5.20140306
Current version/release in Fedora Rawhide: 5.20140221-1.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 5 Upstream Release Monitoring 2014-03-21 17:38:09 UTC
Latest upstream release: 5.20140320
Current version/release in Fedora Rawhide: 5.20140221-1.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 6 Upstream Release Monitoring 2014-04-03 09:13:08 UTC
Latest upstream release: 5.20140402
Current version/release in Fedora Rawhide: 5.20140221-2.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 7 Upstream Release Monitoring 2014-04-07 12:01:41 UTC
Latest upstream release: 5.20140405
Current version/release in Fedora Rawhide: 5.20140221-2.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 8 Upstream Release Monitoring 2014-04-14 07:47:15 UTC
Latest upstream release: 5.20140412
Current version/release in Fedora Rawhide: 5.20140221-2.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 9 Upstream Release Monitoring 2014-04-22 09:46:02 UTC
Latest upstream release: 5.20140421
Current version/release in Fedora Rawhide: 5.20140221-2.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 10 Jens Petersen 2014-05-12 07:47:16 UTC
check-bz-available-URM: According to the current cblrepo data in haskell-sig.git it is possible to update Rawhide to git-annex-5.20140421.

Comment 11 Upstream Release Monitoring 2014-05-22 19:07:23 UTC
Latest upstream release: 5.20140517
Current version/release in Fedora Rawhide: 5.20140221-2.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 12 Upstream Release Monitoring 2014-05-30 11:18:33 UTC
Latest upstream release: 5.20140529
Current version/release in Fedora Rawhide: 5.20140221-2.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 13 Upstream Release Monitoring 2014-06-07 20:05:45 UTC
Latest upstream release: 5.20140606
Current version/release in Fedora Rawhide: 5.20140221-2.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 14 Upstream Release Monitoring 2014-06-21 17:38:44 UTC
Latest upstream release: 5.20140613
Current version/release in Fedora Rawhide: 5.20140221-2.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 15 Upstream Release Monitoring 2014-07-11 07:46:03 UTC
Latest upstream release: 5.20140709
Current version/release in Fedora Rawhide: 5.20140221-2.fc21
URL: http://hackage.haskell.org/package/git-annex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 16 Jens Petersen 2014-07-24 10:19:18 UTC
Ben updated pkg git to git-annex-5.20140717 but somehow it fails to configure
on i686:

Linking Setup ...
+ ./Setup configure --prefix=/usr --libdir=/usr/lib --docdir=/usr/share/doc/git-annex '--libsubdir=$compiler/$pkgid' '--datasubdir=$pkgid' --ghc --enable-executable-dynamic --ghc-option=-O2
  checking version...fatal: Not a git repository (or any of the parent directories): .git
 5.20140717
  checking UPGRADE_LOCATION... not available
  checking git... yes
  checking git version... 2.0.1
  checking cp -a... yes
  checking cp -p... yes
  checking cp --reflink=auto... yes
  checking xargs -0... yes
  checking rsync... yes
  checking curl... yes
  checking wget... no
  checking bup... no
  checking nice... yes
  checking ionice... yes
  checking nocache... no
  checking gpg... gpg2
  checking lsof... not available
  checking git-remote-gcrypt... not available
  checking ssh connection caching... no
  checking sha1... sha1sum
  checking sha256... sha256sum
  checking sha512... sha512sum
  checking sha224... sha224sum
  checking sha384... sha384sum
Configuring git-annex-5.20140717...
Setup: At least the following dependencies are missing:
Setup: out of memory (requested 1048576 bytes)
error: Bad exit status from /var/tmp/rpm-tmp.1m6rja (%build)

Comment 17 Ben Boeckel 2014-07-24 13:04:03 UTC
Link to a Koji log:

https://kojipkgs.fedoraproject.org//work/tasks/9878/7189878/build.log

Comment 18 Jens Petersen 2014-07-24 14:58:27 UTC
I tried on f21 i686 too but that also failed:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7190013

but actually it is not i686 specific it also fails on x86_64 in Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7190004

Builds fine locally though on my x86_64 F20...

Comment 19 Ben Boeckel 2014-07-24 16:35:49 UTC
Joey says it is likely due to an old cabal version. How hard would it be to update Rawhide to the latest cabal-install?

Comment 20 Jens Petersen 2014-07-25 02:35:47 UTC
We will move to a new Cabal when we move to ghc-7.8
(koji builds don't use cabal-install of course). :)

For good measure I also tried 5.20140717 on f20 koji and it also failed.
<http://koji.fedoraproject.org/koji/taskinfo?taskID=7193337>
But since it builds fine locally I suspect it should be something
else, I wonder if something changed in the koji env lately?
Also 1MB is not very much... quite strange.

I see it build okay in debian unstable:
https://packages.debian.org/jessie/git-annex
which I think is still on ghc-7.6.3 as well.

Anyway yeah maybe moving to ghc-7.8 will help to fix this perhaps.
It would be good to version bisect this though,
since 5.20140221 still builds but 5.20140717 isn't configuring.

Comment 21 Jens Petersen 2014-07-25 05:15:27 UTC
Sigh, a lot of noise about very little.

The moral of the story here is to remember to run "cblrpm diff"
after doing a version update to check for BR changes.
Still it is impressive that git-annex has so many deps
that it can cause Setup to OOM or run out of memory perhaps!

Hopefully http://koji.fedoraproject.org/koji/buildinfo?buildID=547145
should complete...

Comment 22 Jens Petersen 2014-07-25 05:48:55 UTC
Probably nice to build it also for f21 which is still before alpha freeze.


Note You need to log in before you can comment on or make changes to this bug.